Bug 986207 - Process next/previous links don't use Translated Titles
Process next/previous links don't use Translated Titles
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: DocBook-builder (Show other bugs)
1.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 04:44 EDT by Lee Newson
Modified: 2013-07-22 21:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.33.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-21 19:49:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Newson 2013-07-19 04:44:23 EDT
As per Yuko's email:

The actual title is translated but when appears in a link like the following, it is shown in English.

Next Step in Preparing a Red Hat Enterprise Linux Host
Previous Step in Preparing a Red Hat Enterprise Linux Host

It is like this on both docbuilder page and published document.

https://access.redhat.com/site/documentation/ja-JP/Red_Hat_Enterprise_Virtualization/3.2/html-single/Installation_Guide/index.html
Comment 1 Lee Newson 2013-07-19 04:49:03 EDT
Fixed in 0.33.5

The csprocessor when doing next/previous links for processes was looking up the original title no matter what. I've now made it check the translated field in a level and default to english (or whatever the default locale is) when it hasn't been translated yet.
Comment 2 Lee Newson 2013-07-21 19:49:02 EDT
0.33.5 has now been released.

Note You need to log in before you can comment on or make changes to this bug.